--- check_icmp.orig.c	2004-08-12 22:58:52.000000000 -0600
+++ check_icmp.perf.c	2004-08-12 23:26:09.000000000 -0600
@@ -657,10 +657,14 @@
 					   sprint_tm(h->total_time / h->num_recv));
 				/* perfdata only available for single-host stuff */
 				if(num_hosts == 1) {
-					printf(" | pl=%d;rta=%s\n",
-						   h->num_sent > 0 ?
-						   ((h->num_sent - h->num_recv) * 100) / h->num_sent : 0,
-						   sprint_tm(h->total_time / h->num_recv));
+				  printf(" | 'Packet Loss'=%d%%;%d;%d 'RTA'=%sms;%2d;%2d\n",
+					 h->num_sent > 0 ?
+					 ((h->num_sent - h->num_recv) * 100) / h->num_sent : 0,
+					 warn.pl,
+					 crit.pl,
+					 sprint_tm(h->total_time / h->num_recv),
+					 warn.rta / 100,
+					 crit.rta / 100);
 				}
 				else printf(" :: ");
 			}
